import React, { useState } from 'react'
import PropTypes from 'prop-types'
import styles from './register-user.module.scss'
import Input from '../components/Input'
import Button from '../components/Button'
// import { isImg } from './validation'

const AvatarStep = ({ step, setStep, user, setUser }) => {
 
  const [imgUrl, setImgUrl] = useState(user.imgUrl || '')
 

const uploadImg = (e) => {
  let reader = new FileReader();
  let file = e.target.files[0];
  reader.onloadend = () => {
    setImgUrl(reader.result)
  }
  reader.readAsDataURL(file)
}


  const handleAvatar = ({target}) => {
  

    setUser({
      type: 'UPDATE_AVATAR_INFO',
      payload: { [target.name]: {imgUrl}},
    })
  }

  const handleSubmit = (e) => {
    e.preventDefault()
   
     return setStep(step + 1)
   

    
  }

  return (
    <form onSubmit={handleSubmit} className={styles.RegisterForm}>
      <Input
        name="imgUrl"
        type={'file'}
        
        onChange={uploadImg}
        
      />
      {imgUrl && <div><img src={imgUrl} height="100" alt="Img"/></div>}
     
      <div className={styles.submit}>
        <Button onClick={() => setStep(step - 1)} type="button">
          Back
        </Button>
        <Button type="submit"> Submit</Button>
      </div>
    </form>
  )
}
AvatarStep.propTypes = {
  step: PropTypes.number,
  setStep: PropTypes.func,
  user: PropTypes.object,
  setUser: PropTypes.func,
}
export default AvatarStep;