import React, { useState } from 'react'
import PropTypes from 'prop-types'
import styles from './register-user.module.scss'
import Input from '../components/Input'
import Button from '../components/Button'
import { isPassword } from './validation'

const PasswordInfo = ({ step, setStep, user, setUser }) => {
  const [errors, setErrors] = useState({})
  

  const handlePassword = ({ target }) => {
    setUser({
      type: 'UPDATE_PASSWORD_INFO',
      payload: { [target.name]: target.value },
    })
  }

  const handleSubmit = (e) => {
    e.preventDefault()
    const errors = isPassword(user)
    setErrors(errors)
    if (Object.keys(errors).length > 0) return

  

    setStep(step + 1)
  }

  return (
    <form onSubmit={handleSubmit} className={styles.RegisterForm}>
      <Input
        type="password"
        label="Password"
        name="password"
        value={user.passwordInfo.password}
        onChange={(e) => handlePassword(e)}
        error={errors.password}
      />
      <Input
        type="password"
        label="Confirm password"
        name="confirm"
        value={user.passwordInfo.confirm}
        onChange={(e) => handlePassword(e)}
        error={errors.confirm}
      />
      
      <div className={styles.submit}>
        <Button onClick={() => setStep(step - 1)} type="button">
          Back
        </Button>
        <Button type="submit"> Submit</Button>
      </div>
    </form>
  )
}
PasswordInfo.propTypes = {
  step: PropTypes.number,
  setStep: PropTypes.func,
  user: PropTypes.object,
  setUser: PropTypes.func,
}
export default PasswordInfo;