import React from 'react'
import UserDetails from './UserDetails'
import AddressInfo from './AddressInfo';
import AvatarStep from './AvatarStep';
import PasswordInfo from './PasswordInfo'
import Completed from './completed'

const FormSteps = (step, setStep, user, setUser) => [
  {
    title: 'Personal Details',
    content: (
      <UserDetails
        setStep={setStep}
        step={step}
        user={user}
        setUser={setUser}
      />
    ),
  },
  {
    title: 'Address Information',
    content: (
      <AddressInfo setStep={setStep} step={step} user={user} setUser={setUser} />
    ),
  },
  {
    title: 'Avatar',
    content: (
      <AvatarStep setStep={setStep} step={step} user={user} setUser={setUser} />
    ),
  }, 
  {
    title: 'Password',
    content: (
      <PasswordInfo setStep={setStep} step={step} user={user} setUser={setUser} />
    ),
  }, 
  {
    title: 'Complete',
    content: <Completed user={user} />,
  },
]
export default FormSteps;