export const DefaultUser = {
    firstName: '',
    lastName: '',
    email: '',
    addressInfo: {
      country: '',
      city: '',
      street: '',
      house: '',
    },
    avatarStep: {
      imgUrl: '',
    },
    passwordInfo: {
      password: '',
      confirm: '',
    },
  }
  
  export const UserReducer = (user, { type, payload }) => {
    switch (type) {
      case 'UPDATE_PERSONAL_INFO':
        return {
          ...user,
          ...payload,
        }
      case 'UPDATE_ADDRESS_INFO':
        return {
          ...user,
        addressInfo: {
          ...user.addressInfo,
          ...payload,
        },
        }
      case 'UPDATE_AVATAR_INFO':
        return {
            ...user,
            avatarStep: {
            ...user.avatarStep,
            ...payload,
          },
        }
        case 'UPDATE_PASSWORD_INFO':
        return {
            ...user,
            passwordInfo: {
            ...user.passwordInfo,
            ...payload,
          },
        }
  
      default:
        return user
    }
  }